///home/berryj/link/bin/genMethods "-g" "-t" "char*" "-h" "SortedList" "-r" "List<char*>" "-I" "LINK/basic/SortedList.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/SortedList.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/ListWrapper.h>


typedef char* _char_;
typedef SortedList<char* > _SortedList_char__;
static SortedList<char* > s__SortedList_char__;

#define _SortedList_char__DATA(x) ((SortedList<char* >*) (EXTDATA(x)))
#define _SortedList_char__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SortedList<char* > >::type))
#define _SortedList_char__ISNT_DATA(x) (!_SortedList_char__IS_DATA(x))

#define _SortedList_char__CXX_DATA(x) (*(SortedList<char* >*) (EXTDATA(VAL(x))))
#define _SortedList_char__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SortedList<char* > >::type))
#define _SortedList_char__CXX_ISNT_DATA(x) (!_SortedList_char__CXX_IS_DATA(x))


PRIMITIVE STk_init__SortedList_char__()
{
	Wrapper<_SortedList_char__>::type = STk_new_CXXwrapper_id(
			Wrapper<_SortedList_char__>::name, 
			Wrapper<List<char*> >::name,
			(void (*)(SCM x, SCM port, int mode))
			ListWrapper<_char_>::displayTypedList,
			(void (*)(SCM x))ListWrapper<_char_>::markTypedList,
			(void (*)(SCM x))ListWrapper<_char_>::freeTypedList);
	Tcl_InitHashTable(&Register<_SortedList_char__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_SortedList_char__Methods(void);

PRIMITIVE STk_init_methods__SortedList_char__()
{
	genExtra_SortedList_char__Methods();
	return UNDEFINED;
}
